\version "2.19.0"

\include "common.ly"
% \include "common-defs.ly"

PZ = \markup\upright\halign #-0.1 \bold{pizz.}
AC = \markup\upright\halign #-0.1 \bold{arco}
PPZ = \markup\upright\halign #-0.1 \concat{( \bold{pizz.} )}
PAC = \markup\upright\halign #-0.1 \concat{( \bold{arco} )}

LHV = { \LH \voiceOne }
RHV = { \RH \voiceTwo }

% For better or for worse, use a parenthesized hairpin for the editorial
% annotation for hairpins.
% AH = #parenthesizedHairpin
% AH = #bracketedHairpin
#(define AH (if (defined? 'AH) AH #{ <> #}))

PmD  = \markup\italic\halign #0.2 \line{(con sord.)}
PoD  = \markup\italic\halign #0.2 \line{(senza sord.)}
Dauf = \muta \markup\halign #0.2 \line{con sord.}
Dab  = \muta \markup\halign #0.2 \line{senza sord.}
% Dauf = \markup\italic\center-align\rounded-box\line{con sord.}
% Dab  = \markup\italic\center-align\rounded-box\line{senza sord.}
Daufc = \muta \markup\halign #-0.5 \override #'(baseline-skip . 2) \left-column{con sord.}
Dabc  = \muta \markup \override #'(baseline-skip . 2) \left-column{senza sord.}

Get = \markup\halign #1.5 \upright{div.}
Zus = \markup\halign #1.5 \upright{unis.}
Getc = \markup\halign #0 \upright{div.}
Zusc = \markup\halign #0 \upright{unis.}

% More dynamics (the partcombiner in chords mode handles these well)
fcantabileMarkup = \markup{f, \normal-text \italic cantabile}
fcantabile = \tweak DynamicText.self-alignment-X #LEFT #(make-dynamic-script fcantabileMarkup)

\layout {
    \context {
	\Score {
	    \numericTimeSignature
            \override BarNumber.padding = #3.5
            \override Hairpin.minimum-length = #4.0
        }
    }

    \context {
	\Score
            \remove "Mark_engraver"
            \remove "Metronome_mark_engraver"
            \remove "Staff_collecting_engraver"
            \accepts MarkLine
    }
    \context {
        \MarkLine
            \consists Axis_group_engraver
    }

    %{
    \context {
	\Score {
	    \revert Score.SystemStartBar.collapse-height
	    \revert StaffGroup.SystemStartBracket.collapse-height
	    \revert GrandStaff.SystemStartBrace.collapse-height
	    \revert PianoStaff.SystemStartBrace.collapse-height
	}
    }
    %}

    \context {
	\Score {
	    \override GrandStaff.SystemStartBrace.collapse-height = #6
	}
    }

    %{
    \context {
	\StaffGroup {
	    \revert StaffGroup.SystemStartBracket.collapse-height
	}
    }

    \context {
	\GrandStaff {
	    \revert PianoStaff.SystemStartBrace.collapse-height
	}
    }
    %}

    \context {
        \PianoStaff
        \consists #Span_stem_engraver
        \accidentalStyle piano-cautionary
    }

    \context {
	\Voice {
	    \set subdivideBeams = ##t
            \override Beam.breakable = ##t
            \override Glissando.breakable = ##t
            \override TrillSpanner.bound-details.right.padding = #2
        }
    }
}


\paper {
    score-markup-spacing = #'((basic-distance . 8)
                              (padding . 0.5)
                              (stretchability . 90))
}

\layout {
    %{
    \context {
        \Staff {
            \override VerticalAxisGroup.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 2)
                   (padding . 1.0)
                   (stretchability . 70))
            % also:
            %   nonstaff-relatedstaff-spacing           ?
            %   nonstaff-nonstaff-spacing               ?
            %   nonstaff-unrelatedstaff-spacing         ?
        }
    }
    %}

    %{
    \context {
        \Score {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 0)
                   (minimum-distance . 2)
                   (padding . 2.0)
                   (stretchability . 10))
            \override StaffGrouper.staffgroup-staff-spacing =
                #'((basic-distance . 0)
                   (minimum-distance . 2)
                   (padding . 2.0)
                   (stretchability . 12))
            % also:
            %    staffgroup-staff-spacing               ?
            \override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing =
                #'((basic-distance . 0)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 0)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
            \override VerticalAxisGroup.nonstaff-nonstaff-spacing =
                #'((basic-distance . 0)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
        }
    }
    %}

    %{
    \context {
        \Staff {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 2)
                   (padding . 3.0)
                   (stretchability . 10))
            \override StaffGrouper.staffgroup-staff-spacing =
                #'((basic-distance . 5)
                   (minimum-distance . 3)
                   (padding . 4.0)
                   (stretchability . 12))
            % also:
            %    staffgroup-staff-spacing               ?
            \override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing =
                #'((basic-distance . 1)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 1)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
            \override VerticalAxisGroup.nonstaff-nonstaff-spacing =
                #'((basic-distance . 1)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 15))
        }
    }
    %}

}
