\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

% \include "bartok-pc-3-title.ly"
\include "bartok-pc-3-paged-title.ly"

\header {
    instrument = "Violino I"
}


%{
\paper {
    indent = 0

    top-system-spacing = #'(
	(basic-distance . 2)
	(minimum-distance . 2)
	(padding . 0)
        (stretchability . 0)
    )
    markup-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 8)
	(padding . 0)
        (stretchability . 2)
    )
    top-markup-spacing = #'(
	(basic-distance . 0)
	(minimum-distance . 0)
	(padding . 0)
        (stretchability . 0)
    )
    last-bottom-spacing = #'(
	(basic-distance . 0)
	(minimum-distance . 0)
	(padding . 0)
        (stretchability . 0)
    )
    score-markup-spacing = #'(
	(basic-distance . 0)
	(minimum-distance . 0)
	(padding . 0)
        (stretchability . 0)
    )
    system-system-spacing = #'(
	(basic-distance . 2)
	(minimum-distance . 2)
	(padding . 2)
        (stretchability . 2)
    )
    % ragged-last-bottom = ##f
    % ragged-last-bottom = ##t
    % ragged-bottom = ##t
    % annotate-spacing = ##t

    % page-breaking = #ly:page-turn-breaking
    % page-breaking = #ly:minimal-breaking
}
%}

%{
\layout {
    \context {
        \Score {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 4)
                   (padding . 2)
                   (stretchability . 2))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 1)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 0))

        }
    }
}
%}


% %{
breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*36 |
    \pageTurn
    s2.*13 |
    \barNumberCheck # 89
    % \time 2/4
    % \pageTurn
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*16 |
    \barNumberCheck # 170
    \pageTurn
    s2.*18 |
    \barNumberCheck # 188
    % \bar "|."
}
>>


cuesI = <<
{
    \override TextScript.font-size = #0
    % \time 3/4
    \cueDuring mvtIpiRH #UP { \at 2. <>^"Pianoforte" s2.*16 | }
    s2.*1 |
    \barNumberCheck # 18
    <>_\markup{(Vln.I)}
    s2.*15 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*36 |
    \barNumberCheck # 76
    \cueDuring mvtIflI #UP { <>^"Fl.,Ob.,Cl.,Fg." s2.*12 | }
    s2.*1 |
    \barNumberCheck # 89
    % \time 2/4
    s2*3 |
    <>^\markup\center-align{(Vln.I)}
    s2 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*17 |
    \barNumberCheck # 113
    \break
    s2.*40 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new GrandStaff \with {
            % instrumentName = "div."
            % shortInstrumentName = "div."
        } <<
            \new Staff <<
                \mvtIvlnI
                % \new CueVoice \cuesI
                \cuesI
                \breaksI
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIhII
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIhIII
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
}
% %}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    \pageTurn
    % \time 4/4
    s1*4 |
    \break
    s1*1 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*1 |
    \break
    \pageBreak
    s1*5 |
    \barNumberCheck # 84
    \break
    s1*5 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*3 |
    \break
    s1*3 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*29 |
    \barNumberCheck # 118
    \cueDuring mvtIIpiRH #UP { <>^"Pianoforte" s1*4 | }
    <>_\markup{(Vln.I)}
    s1*1 |
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>


\score {
    <<
        \new MarkLine \mvtIItempi

        \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) \new GrandStaff \with {
        } <<
            \new Staff = mvtIIvlnI \with {
            } <<
                \mvtIIvlnI
                \cuesII
                \breaksII
            >>
            \new Staff = mvtIIvlnIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvlnIhII
            >>
            \new Staff = mvtIIvlnIhIII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvlnIhIII
            >>
        >>
    >>

    \header {
        % breakbefore = ##t
        piece = \mvtIIpiece
    }

    \layout {
        % indent = 10
        % short-indent = 10
    }
}


% %{
breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*90
    \barNumberCheck # 228
    % \pageTurn
    s4.*94
    \barNumberCheck # 322
    s4.*23
    \barNumberCheck # 345
    \break
    s4.*60
    \barNumberCheck # 405
    s4.*22
    \barNumberCheck # 427
    % \time 2/4
    \pageTurn
    s2*16 |
    \barNumberCheck # 443
    s2*30 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*10 |
    % \pageTurn
    s4.*82 |
    \barNumberCheck # 565
    % \pageBreak
    s4.*42 |
    \barNumberCheck # 607
    \noBreak
    s4.*26 |
    \barNumberCheck # 633
    \pageTurn
    s4.*11 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*69 |
    \barNumberCheck # 713
    % \pageBreak
    \break
    s2.*8 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = {
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #DOWN "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #DOWN { s8. | s4. | }
    \barNumberCheck # 141
    <>^\markup{(Vln.I)}
    s4.*87
    \barNumberCheck # 228
    <>^\markup\column{"Pianoforte" "M.S."}
    s4.*8 |
    <>^\markup\column{"Pianoforte" "M.D."}
    s4.*78
    \barNumberCheck # 314
    \cueDuring mvtIIIpiRH #UP { <>^\markup{Pianoforte} s4.*8 | }
    \barNumberCheck # 322
    <>^\markup\center-align{(Vln.I)}
    s4.*105
    \barNumberCheck # 427
    % \time 2/4
    <>^\markup\center-align{Vla.&Vc.}
    s2*8 |
    <>^\markup\center-align{Vln.II}
    s2*38 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*160 |
    \barNumberCheck # 633
    \cueDuringWithClef mvtIIIvc #DOWN "bass" { <>^"Violoncello" s4.*6 | }
    <>^\markup\center-align{(Vln.I)}
    s4.*5 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}


\score {
    <<
        \new MarkLine \mvtIIItempi

        \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) \new GrandStaff <<
            \new Staff = mvtIIIvlnI <<
                \mvtIIIvlnI
                \cuesIII
                \breaksIII
            >>
            \new Staff = mvtIIIvlnIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlnIhII
            >>
            \new Staff = mvtIIIvlnIhIII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlnIhIII
            >>
        >>
    >>

    \header {
        breakbefore = ##t
        piece = \mvtIIIpiece
    }
}
% %}
