\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"

\header {
    instrument = "Violino II"
}


% %{
\paper {
    indent = 0

% borrow from /usr/share/lilypond/lilypond-2.19/lilypond/usr/share/lilypond/current/ly/paper-defaults-init.ly
  %{
  system-system-spacing = #'((basic-distance . 0)
                             (minimum-distance . 0)
                             (padding . 1)
                             (stretchability . 60))
  score-system-spacing = #'((basic-distance . 4)
                            (minimum-distance . 4)
                            (padding . 1)
                            (stretchability . 120))
  markup-system-spacing = #'((basic-distance . 1)
                             (padding . 0.5)
                             (stretchability . 30))
  score-markup-spacing = #'((basic-distance . 4)
                            (padding . 0.5)
                            (stretchability . 60))
  markup-markup-spacing = #'((basic-distance . 1)
                             (padding . 0.5))
  top-system-spacing = #'((basic-distance . 1)
                          (minimum-distance . 0)
                          (padding . 1))
  top-markup-spacing = #'((basic-distance . 0)
                          (minimum-distance . 0)
                          (padding . 1))
  last-bottom-spacing = #'((basic-distance . 0)
                           (minimum-distance . 0)
                           (padding . 0)
                           (stretchability . 30))
  %}

    ragged-last-bottom = ##f
    % ragged-last-bottom = ##t
    % ragged-bottom = ##t
    % annotate-spacing = ##t

    % page-breaking = #ly:page-turn-breaking
    % page-breaking = #ly:minimal-breaking
}
% %}

%{
\layout {
    \context {
        \Score {
            \override StaffGrouper.staff-staff-spacing =
                #'((basic-distance . 4)
                   (minimum-distance . 4)
                   (padding . 2)
                   (stretchability . 2))
            \override VerticalAxisGroup.nonstaff-relatedstaff-spacing =
                #'((basic-distance . 1)
                   (minimum-distance . 0)
                   (padding . 1.0)
                   (stretchability . 0))

        }
    }
}
%}


breaksI = <<
% \mvtItimeline
{
    % \time 3/4
    s2.*11 \break |
    \barNumberCheck # 12
    s2.*21 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*36 |
    \barNumberCheck # 76
    \pageTurn
    \cueDuring mvtIflI #UP { <>^"Fl.,Ob.,Cl.,Fg." s2.*10 | }
    s2.*3 |
    \barNumberCheck # 89
    % \time 2/4
    s2*3 |
    <>^\markup{(Vln.II)}
    s2 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*43 |
    \barNumberCheck # 139
    % \pageBreak
    % \pageTurn
    s2.*14 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 158
    \break
    s2.*30 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

% %{
\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED PD_ED ) <<

        \new MarkLine \mvtItempi

        \new GrandStaff \with {
            % instrumentName = "div."
            % shortInstrumentName = "div."
        } <<
            \new Staff <<
                \mvtIvlnII
                % \cuesI
                \breaksI
            >>
            \new Staff \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIIhII
            >>
        >>
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
% \mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*23 |
    \barNumberCheck # 54
    \pageTurn
    s1*2 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \break
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*1 |
    % \break
    s1*5 |
    \break
    s1*5 |
    \barNumberCheck # 89
    s1*33 |
    % \pageBreak
    s1*1 |
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    % % \pageBreak
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>
% %}

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*29 ||
    \barNumberCheck # 118
    \cueDuring mvtIIpiRH #UP { <>^"Pianoforte" s1*4 | }
    <>_\markup{(Vln.II)}
    s1*1 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

\score {
    <<
        \keepWithTag #'( PD_ED PARTS KEEPQUOTED PD_ED ) <<
            \new MarkLine \mvtIItempi

            \new GrandStaff <<
                \new Staff \with {
                    % instrumentName = "tutti"
                    % shortInstrumentName = "tutti"
                } <<
                    \mvtIIvlnII
                    \cuesII
                    \breaksII
                >>
                \new Staff \with {
                    % instrumentName = "2.H."
                    % shortInstrumentName = "2.H."
                    \RemoveAllEmptyStaves
                } <<
                    \mvtIIvlnIIhII
                >>
            >>
        >>

    >>

    \header {
        piece = \mvtIIpiece
    }
}

breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*115
    \barNumberCheck # 253
    \pageTurn
    s4.*69
    \barNumberCheck # 322
    s4.*23
    \barNumberCheck # 345
    \break
    s4.*60
    \barNumberCheck # 405
    s4.*22
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*10 |
    \barNumberCheck # 483
    \pageTurn
    s4.*161 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*10 |
    \barNumberCheck # 654
    \pageTurn
    s2.*43 |
    \barNumberCheck # 697
    \break
    s2.*24 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #DOWN "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #DOWN { s8. | s4. | <>) }
    \barNumberCheck # 141
    <>^\markup{(Vln.II)}
    s4.*112
    \barNumberCheck # 253
    <>^\markup\column{"Violino I"}
    s4.*8 |
    <>^\markup\column{"Viola"}
    \barNumberCheck # 261
    s4.*46
    \barNumberCheck # 307
    \cueDuring mvtIIIpiRH #UP { <>^\markup{Pianoforte} s4.*7 | }
    \barNumberCheck # 314
    <>^\markup{(Vln.II)}
    s4.*113
    \barNumberCheck # 427
    % \time 2/4
    <>^\markup\center-align{Vla.&Vc.}
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*102 |
    \barNumberCheck # 575
    \cueDuring mvtIIIflI #UP { <>^"Fl.Ob.Cl." s4.*6 | }
    \barNumberCheck # 581
    <>_\markup{(Vln.II)}
    s4.*63 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

% %{
\score {
    <<
        \new MarkLine \mvtIIItempi

        \keepWithTag #'( PD_ED PARTS KEEPQUOTED PD_ED ) \new GrandStaff <<
            \new Staff = mvtIIIvlnII <<
                \mvtIIIvlnII
                \cuesIII
                \breaksIII
            >>
            \new Staff = mvtIIIvlnIIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlnIIhII
            >>
            \new Staff = mvtIIIvlnIIhIII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIIvlnIIhIII
            >>
        >>
    >>

    \header {
        % breakbefore = ##t
        piece = \mvtIIIpiece
    }
}
% %}
